> For the complete documentation index, see [llms.txt](https://apidocs-ga092.stockhero.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs-ga092.stockhero.ai/market-data/tickers.md).

# Tickers

This endpoint is used to update the price of a symbol.

**Update symbol price**

**POST `https://api.aitrade.com/tickers`**

**Headers**

<table><thead><tr><th width="169">Name</th><th width="136">Type</th><th>Example</th></tr></thead><tbody><tr><td>Authorization</td><td>Basic Auth</td><td>Basic TWlyYWUyRdd0OmhhQDI0QXMjamdkcw==</td></tr></tbody></table>

{% hint style="info" %}
Please contact us for username and password
{% endhint %}

**Request Body**

<table><thead><tr><th width="124">Name</th><th width="106">Type</th><th width="103" data-type="checkbox">Required</th><th width="301">Description</th><th>Example</th></tr></thead><tbody><tr><td>symbol</td><td>string</td><td>true</td><td>Full symbol name</td><td>AAPL-USD</td></tr><tr><td>last_price</td><td>float</td><td>true</td><td>Latest market price of the symbol</td><td>172.34</td></tr></tbody></table>

**Responses:**

{% tabs %}
{% tab title="Sample Request" %}

```powershell
curl --location 'http://127.0.0.1:8000/tickers' \
--header 'Accept: application/json' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Basic TWlyYWUyMDI0OmhfQDI0QXMjamdk' \
--header 'Cookie: miraeasset_session=eyJpdiI6InhnWUFpeVBQM0tOMXhXOGd0WVlLUnc9PSIsInZhbHVlIjoiRnRWcXVxWis1Z1NzSkRnMC8wcGU5TG9JcEtrYTZUL3IrakRtanV3TFhteHUwL201Vmg4RmdENE1nckJMaTI2VmhyUFQzNENMWnIzdyt6d0RaWXVIUzNza0E1WDB6VHU4MjZSZlFtNWFQZWlUY1lFcU5aRHlpbVlvTFY3c01WRzkiLCJtYWMiOiI1Mzc5OWNkY2MyNzI3YzQyNzNmN2Y2MTAyNzI1MDBkMjJlYzEyMTUwZDgzZmYwMjhmMzcyNTVkZTNjNWZlNDZmIiwidGFnIjoiIn0%3D' \
--data-urlencode 'symbol=AAPL-USD' \
--data-urlencode 'last_price=175'
```

{% endtab %}

{% tab title="Sample response" %}

```json
{
    "code": 200,
    "message": "Success",
    "ticker": {
        "id": 2,
        "exchange_id": null,
        "pair_id": "1",
        "last_price": "175",
        "symbol": "AAPL-USD",
        "updated_at": "2024-04-03 08:54:55",
        "created_at": "2024-04-03 08:54:45",
        "mark_price": "175"
    }
}
```

{% endtab %}

{% tab title="200  successfully returned" %}

```javascript
{
    "code": 200,
    "message": "Success",
    "ticker": {
       ...
    }
}
```

{% endtab %}

{% tab title="HTTP 401 Unauthorized" %}

```
{
  "code": 401,
  "success": false,
  "message": "Unauthenticated."
}
```

{% endtab %}
{% endtabs %}
